package com.bria.common.controller.buddy

import com.bria.common.controller.contacts.buddy.XmppBuddy
import io.reactivex.subjects.PublishSubject

object XmppBuddyObservables {
    private val publishSubject = PublishSubject.create<XmppBuddy>()

    val observable
        get() = publishSubject

    fun notifyNewBuddy(xmppBuddy: XmppBuddy) {
        publishSubject.onNext(xmppBuddy)
    }
}
