package com.bria.common.controller.calllog.db.convertors

import android.arch.persistence.room.TypeConverter
import com.bria.common.controller.calllog.db.CallType

class CallTypeConverter {
    @TypeConverter
    fun fromCallType(callType: CallType): Int = callType.ordinal

    @TypeConverter
    fun toCallType(int: Int): CallType = CallType.values()[int]
}
