package com.bria.common.controller.collaboration.rx.entities

/**
 * A set of (ordered) flags to tell the SDK which values to actually send to server.
 * Values are held in [ConferenceConfigValues] instances.
 */
data class ConferenceConfigFlags(
        var participantPin: Boolean = false,
        var moderatorPin: Boolean = false,
        var videoLayout: Boolean = false,
        var frameRate: Boolean = false,
        var isModerated: Boolean = false,
        var overrunMinutes: Boolean = false,
        var dropBoxToken: Boolean = false,
        var sendSummaryEmail: Boolean = false,
        var recordAudioOnly: Boolean = false,
        var autoRecord: Boolean = false
)
