package com.bria.common.controller.collaboration.rx.exceptions

data class CollabConferenceException(val accountId: Int, val conferenceId: Int, val errorMessage: String) : Exception(errorMessage) {

    constructor(
            accountId: Int,
            conferenceId: Int,
            cause: Throwable,
            errorMessage: String = "Known cause, check stack trace"
    ) : this(accountId, conferenceId, cause.message ?: errorMessage) {
        initCause(cause)
    }

}
