package com.bria.common.controller.collaboration.utils.matcher

import com.bria.common.controller.contacts.buddy.Buddy

object ParticipantMatcherTaskKt {
    fun tryFindBuddyByAddress(allBuddies: Collection<Buddy>, jidOrSipRemoteAddress: String?): Buddy? {
        if (jidOrSipRemoteAddress.isNullOrEmpty()) {
            // can't find by empty address
            return null
        }

        return allBuddies.firstOrNull { it.imAddress == jidOrSipRemoteAddress }
    }
}
