package com.bria.common.controller.im

import com.bria.common.controller.im.refactoring.db.entities.ImConversationData
import com.bria.common.controller.im.refactoring.db.entities.InstantMessageData
import java.util.*

interface IImRemoteStorage {
    fun updateMessage(im: InstantMessageData)
    fun updateImConversation(conversation: ImConversationData)
    fun syncNewMessage(it: InstantMessageData)
    fun fetchConversations(offset: Int)
    fun fetchConversations(listOfConversations: ArrayList<ImConversationData>)
    fun fetchRangeRevision(conversationId: Long, offset: Int)
}
