package com.bria.common.controller.im.refactoring.dataprovider

import android.support.annotation.IntDef


data class GalleryListData(@Type val type : Int, val name : String, val path : String, val count : Int = 0) {

    companion object {

        @IntDef(FOLDER, IMAGE)
        @Retention(AnnotationRetention.SOURCE)
        annotation class Type
        const val FOLDER = 0
        const val IMAGE = 1
    }

}
