package com.bria.common.controller.im.refactoring.filetransfer

import java.text.DecimalFormat

/**
 * Created by nemanja on 2/23/18.
 */
class FileTransferUtils {
    companion object {
        @JvmStatic
        fun readableFileSize(size: Long): String {
            if (size <= 0) return "0"
            val units = arrayOf("B", "kB", "MB", "GB", "TB")
            val digitGroups = (Math.log10(size.toDouble()) / Math.log10(1024.0)).toInt()
            return DecimalFormat("#,##0.#").format(size / Math.pow(1024.0, digitGroups.toDouble())) + " " + units[digitGroups]
        }
    }
}
