package com.bria.common.controller.im.refactoring.roomdb

import android.arch.persistence.room.Database
import android.arch.persistence.room.RoomDatabase
import android.arch.persistence.room.TypeConverters
import com.bria.common.controller.im.refactoring.roomdb.entities.ChatRoom
import com.bria.common.controller.im.refactoring.roomdb.entities.ChatRoomTypeConverters
import com.bria.common.controller.im.refactoring.roomdb.entities.Message

@Database(entities = [ChatRoom::class, Message::class], version = 1, exportSchema = false)
@TypeConverters(ChatRoomTypeConverters::class)
abstract class ImProviderDb : RoomDatabase(){
    abstract fun getChatRoomDao() :ChatRoomDao
}
