package com.bria.common.crashlytics

/*
* Crashlytics throws if used when not initialized.
* This interface wraps it.
*/
interface ICrashlytics {
    fun sendPendingReports()

    fun logNonFatalIssue(tag: String, message: String)
    fun logNonFatalException(throwable: Throwable)
    fun logContextInfo(tag: String, message: String)
}
