package com.bria.common.permission

interface IPermissionExplanationCallback {

    /**
     * Generally, implementations should do the same as when user denies permissions in system permission dialog.
     *
     * Callback when explanation is accepted does not exist since if user accepts the explanation she will be presented with system permission dialog.
     *
     * @param requestCode Code to correlate requests with permission callbacks
     */
    fun explanationDialogCancelled(requestCode: Int)

}
