package com.bria.common.sdkwrapper

import io.reactivex.Observable
import io.reactivex.subjects.BehaviorSubject

object SipStackManagerInstanceObservable {
    private val mBehaviorSubject = BehaviorSubject.create<SipStackManager>()

    @JvmStatic
    fun getObservable(): Observable<SipStackManager> {
        return mBehaviorSubject
    }

    @JvmStatic
    fun notifyNewValue(notificationsHandler: SipStackManager) {
        mBehaviorSubject.onNext(notificationsHandler)
    }
}
