package com.bria.common.ui.util

import android.widget.EditText

object EditTextUtils {
    fun requestFocusAndPreserveSelection(editText: EditText) {
        val selectionStart = editText.selectionStart
        val selectionEnd = editText.selectionEnd
        editText.requestFocus()
        if (editText.selectionStart != selectionStart ||
            editText.selectionEnd != selectionEnd) {
            editText.setSelection(selectionStart, selectionEnd)
        }
    }
}
