package com.bria.common.uiframework.helpers

import io.reactivex.Observable
import io.reactivex.subjects.BehaviorSubject

object CallUiActive {
    private val mObservable = BehaviorSubject.createDefault(false)

    fun setActive(value: Boolean) {
        mObservable.onNext(value)
    }

    val observable: Observable<Boolean>
        get() = mObservable
}
