package com.bria.voip.ui.main.im

import android.os.Bundle
import android.support.annotation.MainThread
import com.bria.common.uiframework.annotations.Layout
import com.bria.common.util.GlobalConstants
import com.bria.voip.R

@Layout(R.layout.conversation_screen)
@com.bria.common.uiframework.annotations.Menu(R.menu.chat_menu)
class GenbandConvScreen : ConvScreen<GenbandConvPresenter>() {

    override fun getPresenterClass(): Class<GenbandConvPresenter> = GenbandConvPresenter::class.java

    @MainThread
    override fun onStart(bundle: Bundle?) {
        if (bundle != null && bundle.containsKey(GlobalConstants.DIRECTORY_LIST_INDEX)) {
            presenter.setDirectoryIndex(bundle.getInt(GlobalConstants.DIRECTORY_LIST_INDEX))
        }
        super.onStart(bundle)

    }
}
