package com.bria.voip.ui.main.im.chatroom

import android.content.Context
import com.bria.voip.R

data class ChatRoomMentionAtItem(
        val atText: String,
        val description: String) {

    companion object {
        fun getKnownItems(context: Context) = listOf(
                ChatRoomMentionAtItem("@room", context.getString(R.string.tChatRoomMentionRoomDescription)),
                ChatRoomMentionAtItem("@here", context.getString(R.string.tChatRoomMentionHereDescription)),
                ChatRoomMentionAtItem("@everyone", context.getString(R.string.tChatRoomMentionEveryoneDescription))
        )
    }
}
