package com.bria.voip.ui.main.im.chatroom

import com.bria.common.controller.im.refactoring.roomdb.ChatRoomRepo
import com.bria.common.controller.im.refactoring.roomdb.LocalRoomInfo
import com.bria.common.uireusable.dataprovider.AbstractFilterableListDataProvider

class JoinRoomsDataProvider(private val chatRoomRepo: ChatRoomRepo) : AbstractFilterableListDataProvider<LocalRoomInfo>() {


    override fun provideFullDataSet(): MutableList<LocalRoomInfo> {
        return chatRoomRepo.getServerRoomList("")
    }

    override fun provideFilteredDataSet(fullDataSet: MutableList<LocalRoomInfo>, query: String): MutableList<LocalRoomInfo> {
        return chatRoomRepo.getServerRoomList(query)
    }
}
