package com.bria.common.controller

import io.reactivex.Observable
import io.reactivex.subjects.BehaviorSubject

object ControllerObservable {
    private val mBehaviorSubject = BehaviorSubject.create<Controller>()

    @JvmStatic
    fun getObservable(): Observable<Controller> {
        return mBehaviorSubject
    }

    @JvmStatic
    fun notifyNewValue(controller: Controller) {
        mBehaviorSubject.onNext(controller)
    }
}
