package com.bria.common.controller.contacts.buddy.repository

import android.arch.persistence.room.Database
import android.arch.persistence.room.RoomDatabase
import android.arch.persistence.room.TypeConverters

@Database(entities = arrayOf(BuddyEntity::class, PhoneEntity::class), version = 1, exportSchema = false)
@TypeConverters(BuddyTypeConverter::class, PhoneTypeConverter::class)
abstract class BuddyProviderDb() : RoomDatabase() {
    abstract fun buddyDao() : BuddyDao
    abstract fun phoneDao() : PhoneDao
}
