package com.bria.common.controller.contacts.buddy.repository

import android.arch.persistence.room.TypeConverter


class BuddyTypeConverter {

    @TypeConverter
    fun toInt(enumtype : EBuddyType) : Int {
        return enumtype.ordinal;
    }

    @TypeConverter
    fun toBuddyType(int: Int) : EBuddyType {
        return EBuddyType.values()[int]
    }
}
