package com.bria.common.controller.contacts.buddy.repository

import android.arch.persistence.room.*

@Dao
interface PhoneDao {
    @Insert(onConflict = OnConflictStrategy.REPLACE)
    fun insert(phone : PhoneEntity)

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    fun insertAll(phones : List<PhoneEntity>)

    @Delete
    fun delete(phone: PhoneEntity)

    @Query("SELECT * FROM phones")
    fun getAllPhones() : List<PhoneEntity>

    @Query("SELECT * FROM phones WHERE buddyKey IS :key")
    fun getAllPhonesForBuddy(key: String) : List<PhoneEntity>
}
