package com.bria.common.controller.contacts.buddy.repository

import android.arch.persistence.room.TypeConverter
import com.bria.common.controller.contacts.buddy.VCard

class PhoneTypeConverter {

    @TypeConverter
    fun toInt(enumtype : VCard.EPhoneType) : Int {
        return enumtype.ordinal;
    }

    @TypeConverter
    fun toBuddyType(int: Int) : VCard.EPhoneType {
        return VCard.EPhoneType.values()[int]
    }
}
