package com.bria.common.controller.im.refactoring.chatroom

import com.bria.common.controller.im.refactoring.roomdb.entities.ChatRoom
import com.counterpath.sdk.XmppAccount
import com.counterpath.sdk.handler.XmppMultiUserChatHandler

interface ChatRoomApi {
    fun createRoom(chatRoom: ChatRoom)
    fun getChatHandler() : XmppMultiUserChatHandler
    fun isGroupChatCapable(buddyKey : String) : Boolean
    fun sendMessage(chatRoom: ChatRoom, message: String)
    fun joinRooms(roomsJid: List<String>, account : XmppAccount)
    fun destroyRoom(jid: String)
    fun leaveRoom(jid: String)
}

