package com.bria.common.controller.im.refactoring.dataprovider

import android.support.annotation.IntDef


data class FilePickerData(@Type val type : Int, val name : String, val path : String, val size : Long = 0, val childrenCount : Int = 0) {

    companion object {

        @IntDef(DIRECTORY, FILE)
        @Retention(AnnotationRetention.SOURCE)
        annotation class Type
        const val DIRECTORY = 2
        const val FILE = 3
    }

}
