package com.bria.common.controller.im.refactoring.filetransfer.storagetools

import android.content.Context
import android.os.Environment


fun Context.rootStoragePath() = Environment.getExternalStorageDirectory().absolutePath.trimEnd('/')

fun String.getFilenameFromPath() = substring(lastIndexOf("/") + 1)

fun String.getParentPath() = trimEnd('/').let {  it.substring(0, length - it.getFilenameFromPath().length).trimEnd('/')}
