package com.bria.common.controller.presence

import com.bria.common.controller.presence.refactoring.EPresenceStatus
import com.bria.common.uireusable.dataprovider.ISimpleDataProvider

class PresenceDataProvider(private val presenceStatuses: PresenceStatuses) : ISimpleDataProvider<EPresenceStatus> {

    override fun getItemsCount(): Int {
        return presenceStatuses.list.size
    }

    override fun getItemAt(position: Int): EPresenceStatus {
        return presenceStatuses.list[position]
    }

    override fun clean() {

    }
}
