package com.bria.common.controller.settings.core

import io.reactivex.Observable
import io.reactivex.subjects.BehaviorSubject

object SettingsObservable {
    private val mBehaviorSubject = BehaviorSubject.create<Settings>()

    @JvmStatic
    fun getObservable(): Observable<Settings> {
        return mBehaviorSubject
    }

    @JvmStatic
    fun notifyNewValue(settings: Settings) {
        mBehaviorSubject.onNext(settings)
    }
}
