package com.bria.common.modules

import android.app.Activity
import android.app.Service

class ModuleClassFinder(
        val splashActivityClass: Class<out Activity>,
        val mainActivityClass: Class<out Activity>,
        val callActivityClass: Class<out Activity>,
        val loginActivityClass: Class<out Activity>,
        val wizardActivityClass: Class<out Activity>,
        val goodAuthActivityClass: Class<out Activity>,
        val serviceClass: Class<out Service>
) {
    companion object {
        lateinit var instance: ModuleClassFinder

        @JvmStatic
        fun init(moduleClassFinder: ModuleClassFinder){
            instance = moduleClassFinder
        }
    }
}
