package com.bria.common.util

/*
* Should only be used from java code.
* */
object StringUtils {
    @JvmStatic
    fun join(delimiter: String?, strings: Array<String>?): String {
        if (strings == null) {
            return ""
        }

        return strings.joinToString(delimiter ?: "")
    }

    @JvmStatic
    fun tryParseLong(s: String?): Optional<Long> {

        if (s == null) {
            return Optional.missing()
        }

        val result = s.toLongOrNull()
        if (result == null) {
            return Optional.missing()
        }

        return Optional.fromNullable(result)
    }
}
