package com.bria.common.util.kotlin

object ListUtils {

    @JvmStatic
    fun <E> filter(iterable: Iterable<E>, predicate: (item: E) -> Boolean): List<E> {
        return iterable.filter(predicate)
    }

    @JvmStatic
    fun <E> firstOrNull(iterable: Iterable<E>, predicate: (item: E) -> Boolean): E? {
        return iterable.firstOrNull(predicate)
    }

    @JvmStatic
    fun <E> firstOrNull(array: Array<E>, predicate: (item: E) -> Boolean): E? {
        return array.firstOrNull(predicate)
    }
}
