package com.bria.voip.ui.main.dialer.quickstart

import com.bria.voip.R

object QuickStartCustomItemIconMap {
    private val map = mapOf(
            "dialpad" to R.drawable.tab_icon_phone,
            "megaphone" to R.drawable.ic_announcements,
            "phone_with_arrow" to R.drawable.icon_pushcell
    )

    fun mapStringToId(iconStringId: String?): Int? {
        if(iconStringId.isNullOrBlank()){
            return null
        }

        val lowercased = iconStringId?.toLowerCase()

        if(!map.containsKey(lowercased)){
            return null
        }

        return map.get(lowercased)
    }
}
